Bug 1788065 - Remove EOL SCL images from Samples Operator
Summary: Remove EOL SCL images from Samples Operator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Samples
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.3.z
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On: 1782467 1794830
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-06 10:00 UTC by Wenjing Zheng
Modified: 2020-02-19 05:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-19 05:39:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 24406 None closed [release-4.3] Bug 1788065: pin image-eco sclorg samples usage to specific versions to shield from upstream churn wrt EOL... 2020-05-06 02:26:16 UTC
Github openshift origin pull 24407 None closed [release-4.3] Bug 1788065: move more image-eco db template tests from upstream repos to sample operator installed 2020-05-06 02:26:16 UTC
Red Hat Product Errata RHBA-2020:0492 None None None 2020-02-19 05:40:02 UTC

Description Wenjing Zheng 2020-01-06 10:00:42 UTC
This bug was initially created as a copy of Bug #1782467

I am copying this bug because: 



The follow images are EOL from the Software Collection and should be removed from the official library of the samples operator, not to get installed on new OpenShift clusters:
* devtoolset-7-perftools
* devtoolset-7-toolchain
* nginx-112 (phracek) (sclorg/nginx-container: Pull Request 99)
* nodejs-8 (phracek) (sclorg/s2i-nodejs-container: Pull Request 222)
* php-71 (phracek) sclorg/s2i-php-container: Pull Request 274
* mysql-57
* php-70 (phracek) sclorg/s2i-php-container: Pull Request 274
* perl-524
* redis-32

Comment 3 Gabe Montero 2020-01-16 16:42:04 UTC
PRs https://github.com/openshift/origin/pull/24406 and https://github.com/openshift/origin/pull/24407 are waiting for 4.3.z to open up

Comment 7 errata-xmlrpc 2020-02-19 05:39:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0492


Note You need to log in before you can comment on or make changes to this bug.